<div class="animated fadeIn">
  <div class="row" style="margin: 0 0 0 0">
    <div class="input-group mb-3">
      <input type="text" class="form-control" placeholder="Search with name, address or city..." aria-label="Search"
             aria-describedby="basic-addon2" #searchValue>
      <div class="input-group-append">
        <button class="btn btn-success" type="button" (click)="onFindButtonClick(searchValue)">Find</button>
      </div>
    </div>
  </div>
  <div class="cards" *ngIf="parkingLots.length !== 0">
    <div class="card text-white bg-primary" *ngFor="let parkingLot of parkingLots">
      <div class="card-body pb-0">
        <div>
          <i class="fa fa-motorcycle fa-2x"></i>
          <i class="float-right fa fa-car fa-2x"></i>
        </div>
        <div>
          <span class="text-value">{{parkingLot.TWO_WHEELER.vacancy}}/{{parkingLot.TWO_WHEELER.maxOccupancy}}</span>
          <span class="float-right text-value">{{parkingLot.FOUR_WHEELER.vacancy}}/{{parkingLot.FOUR_WHEELER.maxOccupancy}}</span>
        </div>
        <div>
          <span>{{parkingLot.TWO_WHEELER.chargePerHour}} {{parkingLot.TWO_WHEELER.currency}}</span>
          <span class="float-right">{{parkingLot.FOUR_WHEELER.chargePerHour}} {{parkingLot.FOUR_WHEELER.currency}}</span>
        </div>
        <div class="mt-5 text-value">
          <span>{{parkingLot.parkingLotName}}</span>
        </div>
        <div>
          <span>{{parkingLot.address}}</span>
        </div>
        <div>
          <span>{{parkingLot.city}}</span>
        </div>
      </div>
    </div>
  </div>
</div>
